
CoCoALib - Design #1627

Use keyword "delete" for deleted functions

29 Oct 2021 21:49 - John Abbott

Status: Closed Start date: 29 Oct 2021

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Improving Estimated time: 3.60 hours

Target version: CoCoALib-0.99800 Spent time: 3.60 hours

Description

Following advice from Scott Meyers (Eff Modern C++, item 11)

use the keyword delete to indicate deleted functions.

Related issues:

Related to CoCoALib - Design #1225: Move to C++14 (skipping C++11) In Progress 06 Sep 2018

History

#1 - 29 Oct 2021 21:50 - John Abbott

- Related to Design #1225: Move to C++14 (skipping C++11) added

#2 - 29 Oct 2021 21:51 - John Abbott

- % Done changed from 0 to 40

I have done the first wave (too much train travel).

Very mind-numbing doing these almost mechanical changes.

My copy compiles and runs fine.  I'll check in over the weekend.

#3 - 30 Oct 2021 19:46 - John Abbott

- Status changed from New to Resolved

- Assignee set to John Abbott

- % Done changed from 40 to 80

I have checked in my changes.  All compiles fine on my Linux box.

#4 - 28 Jan 2022 14:35 - John Abbott

- Status changed from Resolved to Feedback

- % Done changed from 80 to 90

#5 - 04 Feb 2022 21:23 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

- Estimated time set to 3.60 h

Maybe not perfect, but surely most cases have been added.

Not time efficient to search for any missed cases.  Closing.
